import acquire


class SpCoresetGreedyInit(acquire.SelectiveProbabilisticCoreset):

    NAME = "sp-coreset-greedyinit"

    def score_zs(self, z_unlabelled, z_labelled):
        out = acquire.GreedyCoreset.score_zs(self, z_unlabelled, z_labelled)
        self.score_zs = self._score_zs
        return out

    def _score_zs(self, z_unlabelled, z_labelled):
        return super().score_zs(z_unlabelled, z_labelled)